from typing import Any, TypeAlias

import numpy

OneDim: TypeAlias = tuple[int]
TwoDims: TypeAlias = tuple[int, int]
ThreeDims: TypeAlias = tuple[int, int, int]
FourDims: TypeAlias = tuple[int, int, int, int]

Array1DBool: TypeAlias = numpy.ndarray[OneDim, numpy.dtype[numpy.bool_]]
Array1DFloat32: TypeAlias = numpy.ndarray[OneDim, numpy.dtype[numpy.float32]]
Array1DFloat64: TypeAlias = numpy.ndarray[OneDim, numpy.dtype[numpy.float64]]
Array1DInt64: TypeAlias = numpy.ndarray[OneDim, numpy.dtype[numpy.int64]]
Array1DStr: TypeAlias = numpy.ndarray[OneDim, numpy.dtype[numpy.str_]]
Array1DUInt64: TypeAlias = numpy.ndarray[OneDim, numpy.dtype[numpy.uint64]]
Array2DFloat32: TypeAlias = numpy.ndarray[TwoDims, numpy.dtype[numpy.float32]]
Array2DFloat64: TypeAlias = numpy.ndarray[TwoDims, numpy.dtype[numpy.float64]]
Array2DInt64: TypeAlias = numpy.ndarray[TwoDims, numpy.dtype[numpy.int64]]
Array2DInt8: TypeAlias = numpy.ndarray[TwoDims, numpy.dtype[numpy.int8]]
Array2DUInt64: TypeAlias = numpy.ndarray[TwoDims, numpy.dtype[numpy.uint64]]
Array2DUInt8: TypeAlias = numpy.ndarray[TwoDims, numpy.dtype[numpy.uint8]]
Array3DFloat32: TypeAlias = numpy.ndarray[ThreeDims, numpy.dtype[numpy.float32]]
Array3DFloat64: TypeAlias = numpy.ndarray[ThreeDims, numpy.dtype[numpy.float64]]
Array3DInt8: TypeAlias = numpy.ndarray[ThreeDims, numpy.dtype[numpy.int8]]
Array3DUInt8: TypeAlias = numpy.ndarray[ThreeDims, numpy.dtype[numpy.uint8]]
Array4DFloat32: TypeAlias = numpy.ndarray[FourDims, numpy.dtype[numpy.float32]]
Array4DFloat64: TypeAlias = numpy.ndarray[FourDims, numpy.dtype[numpy.float64]]
Array4DInt8: TypeAlias = numpy.ndarray[FourDims, numpy.dtype[numpy.int8]]
Array4DUInt8: TypeAlias = numpy.ndarray[FourDims, numpy.dtype[numpy.uint8]]
ArrayFloat32: TypeAlias = numpy.ndarray[Any, numpy.dtype[numpy.float32]]
ArrayFloat64: TypeAlias = numpy.ndarray[Any, numpy.dtype[numpy.float64]]
ArrayInt64: TypeAlias = numpy.ndarray[Any, numpy.dtype[numpy.int64]]
ArrayUInt64: TypeAlias = numpy.ndarray[Any, numpy.dtype[numpy.uint64]]
